org.apache.maven.scm.provider.cvslib

## Class CvsScmTestUtils

- java.lang.Object
- - org.apache.maven.scm.provider.cvslib.CvsScmTestUtils

-     public final class CvsScmTestUtils
      extends Object

  Version:
    $Id: CvsScmTestUtils.java 687713 2008-08-21 11:12:33Z vsiveton $
  Author:
    Brett Porter

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CVS_COMMAND_LINE` 'cvs' command line

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `executeCVS(File workingDirectory, String arguments)`
    `static String` | `getScmUrl(File repository, String module)`
    `static void` | `initRepo(File repository, File workingDirectory, File assertionDirectory)`
    `static void` | `initRepo(String source, File repository, File workingDirectory)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CVS_COMMAND_LINE

          public static final String CVS_COMMAND_LINE

      'cvs' command line
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getScmUrl

          public static String getScmUrl(File repository,
                         String module)

    - #### executeCVS

          public static void executeCVS(File workingDirectory,
                        String arguments)
                                 throws Exception

      Throws:
        `Exception`

    - #### initRepo

          public static void initRepo(File repository,
                      File workingDirectory,
                      File assertionDirectory)
                               throws IOException

      Throws:
        `IOException`

    - #### initRepo

          public static void initRepo(String source,
                      File repository,
                      File workingDirectory)
                               throws IOException

      Throws:
        `IOException`

Copyright © 2003–2015. All rights reserved.